Update Entry
Updates an existing catalog entry.
PUT
/
v3
/
catalog_entries
/
{id}
Update Entry
curl --request PUT \
--url https://api.incident.io/v3/catalog_entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"attribute_values": {
"abc123": {
"array_value": [
{
"literal": "SEV123"
}
],
"value": {
"literal": "SEV123"
}
}
},
"custom_aliases": [
"primary-on-call"
],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": [
"abc123"
]
}
'import requests
url = "https://api.incident.io/v3/catalog_entries/{id}"
payload = {
"aliases": ["lawrence@incident.io", "lawrence"],
"attribute_values": { "abc123": {
"array_value": [{ "literal": "SEV123" }],
"value": { "literal": "SEV123" }
} },
"custom_aliases": ["primary-on-call"],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": ["abc123"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aliases: ['lawrence@incident.io', 'lawrence'],
attribute_values: {abc123: {array_value: [{literal: 'SEV123'}], value: {literal: 'SEV123'}}},
custom_aliases: ['primary-on-call'],
external_id: '761722cd-d1d7-477b-ac7e-90f9e079dc33',
name: 'Primary On-call',
rank: 3,
update_attributes: ['abc123']
})
};
fetch('https://api.incident.io/v3/catalog_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.incident.io/v3/catalog_entries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'aliases' => [
'lawrence@incident.io',
'lawrence'
],
'attribute_values' => [
'abc123' => [
'array_value' => [
[
'literal' => 'SEV123'
]
],
'value' => [
'literal' => 'SEV123'
]
]
],
'custom_aliases' => [
'primary-on-call'
],
'external_id' => '761722cd-d1d7-477b-ac7e-90f9e079dc33',
'name' => 'Primary On-call',
'rank' => 3,
'update_attributes' => [
'abc123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.incident.io/v3/catalog_entries/{id}"
payload := strings.NewReader("{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.incident.io/v3/catalog_entries/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.incident.io/v3/catalog_entries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"catalog_entry": {
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"archived_at": "2021-08-17T14:28:57.801578Z",
"attribute_values": {
"abc123": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123"
}
}
},
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"custom_aliases": [
"primary-on-call"
],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call",
"rank": 3,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"catalog_type": {
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": [
"customer"
],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"engine_resource_type": "CatalogEntry[\"PagerDutyService\"]",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"is_team_type": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"owning_team_ids": [
"01G0J1EXE7AXZ2C93K61WBPYEH"
],
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": [
"pager_duty"
],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"supports_custom_aliases": true,
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z",
"use_name_as_identifier": true
}
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}🔑 Requires the
catalog_entries.edit scope.Authorizations
Body
application/json
Aliases your organisation has added to an entry of a catalog type that incident.io syncs, such as a schedule or escalation path, which you can't change aliases on directly. Syncs keep them, and they are also listed in aliases. When you update an entry, omit this or send null to keep its current custom aliases, send an empty list to clear them, or send a list to replace them.
Example:
["primary-on-call"]
Was this page helpful?
Update Entry
curl --request PUT \
--url https://api.incident.io/v3/catalog_entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"attribute_values": {
"abc123": {
"array_value": [
{
"literal": "SEV123"
}
],
"value": {
"literal": "SEV123"
}
}
},
"custom_aliases": [
"primary-on-call"
],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": [
"abc123"
]
}
'import requests
url = "https://api.incident.io/v3/catalog_entries/{id}"
payload = {
"aliases": ["lawrence@incident.io", "lawrence"],
"attribute_values": { "abc123": {
"array_value": [{ "literal": "SEV123" }],
"value": { "literal": "SEV123" }
} },
"custom_aliases": ["primary-on-call"],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": ["abc123"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aliases: ['lawrence@incident.io', 'lawrence'],
attribute_values: {abc123: {array_value: [{literal: 'SEV123'}], value: {literal: 'SEV123'}}},
custom_aliases: ['primary-on-call'],
external_id: '761722cd-d1d7-477b-ac7e-90f9e079dc33',
name: 'Primary On-call',
rank: 3,
update_attributes: ['abc123']
})
};
fetch('https://api.incident.io/v3/catalog_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.incident.io/v3/catalog_entries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'aliases' => [
'lawrence@incident.io',
'lawrence'
],
'attribute_values' => [
'abc123' => [
'array_value' => [
[
'literal' => 'SEV123'
]
],
'value' => [
'literal' => 'SEV123'
]
]
],
'custom_aliases' => [
'primary-on-call'
],
'external_id' => '761722cd-d1d7-477b-ac7e-90f9e079dc33',
'name' => 'Primary On-call',
'rank' => 3,
'update_attributes' => [
'abc123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.incident.io/v3/catalog_entries/{id}"
payload := strings.NewReader("{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.incident.io/v3/catalog_entries/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.incident.io/v3/catalog_entries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"aliases\": [\n \"lawrence@incident.io\",\n \"lawrence\"\n ],\n \"attribute_values\": {\n \"abc123\": {\n \"array_value\": [\n {\n \"literal\": \"SEV123\"\n }\n ],\n \"value\": {\n \"literal\": \"SEV123\"\n }\n }\n },\n \"custom_aliases\": [\n \"primary-on-call\"\n ],\n \"external_id\": \"761722cd-d1d7-477b-ac7e-90f9e079dc33\",\n \"name\": \"Primary On-call\",\n \"rank\": 3,\n \"update_attributes\": [\n \"abc123\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"catalog_entry": {
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"archived_at": "2021-08-17T14:28:57.801578Z",
"attribute_values": {
"abc123": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123"
}
}
},
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"custom_aliases": [
"primary-on-call"
],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call",
"rank": 3,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"catalog_type": {
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": [
"customer"
],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"engine_resource_type": "CatalogEntry[\"PagerDutyService\"]",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"is_team_type": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"owning_team_ids": [
"01G0J1EXE7AXZ2C93K61WBPYEH"
],
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": [
"pager_duty"
],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"supports_custom_aliases": true,
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z",
"use_name_as_identifier": true
}
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}{
"debug": {
"message": "Something broke: and something else: and something else",
"stacktrace": [
"thing.go:123"
]
},
"errors": [
{
"code": "trial_expired",
"message": "Default incident call link must be a valid URL",
"metadata": {
"abc123": "abc123"
},
"source": {
"field": "default_call_url",
"pointer": "/settings/default_call_url"
}
}
],
"rate_limit": {
"limit": 100,
"name": "client_ip",
"remaining": 98,
"retry_after": "2020-01-01T00:00:00Z"
},
"request_id": "2T1p0e3j",
"status": 408,
"type": "invalid_request_error"
}